clearlog()
require("kskit\\On")

-- Daran denken, die Zahlen gelten nicht fr jedes Signalmodell
HaltErwarten = 2
Fahrt = 3

-- Tabelle mit den IDs und Stellungen
-- Jede Liste je zwei Elemente, eines fr die Signal-ID und eines fr Stellung
-- 'Wenn' beschreibt die Bedingungen, 'Dann' die Folgen der Verknpfung
Schalten={
  {Wenn={1,HaltErwarten, 2,HaltErwarten}, Dann={1,Fahrt}},
  {Wenn={2,HaltErwarten, 3,HaltErwarten}, Dann={2,Fahrt}}
}

-- Das erstellen der Verknpfung passiert ber den MultiSchalten() Aufruf
-- Die Schalten Tabelle ist selbst nicht notwendig, kann aber der Lesbarkeit helfen
-- Hier lesen wir die Schalten Tabelle aus und legen die Verknpfungen wirklich an
for _, Zeile in pairs(Schalten) do
  MultiSchalten(Zeile.Wenn, Zeile.Dann)
end